Telerik Version Security Issue?

1 Answer 640 Views
Ajax Security
Tim
Top achievements
Rank 1
Tim asked on 20 Mar 2023, 04:08 PM

I think we are ok but noticed some Telerik  versions have some vulnerabilities. Could someone confirm our version is ok.

https://www.cvedetails.com/vulnerability-list/vendor_id-14130/Telerik.html

Our version is ASP .NET AJAX 2020.2.512.40

 

 

1 Answer, 1 is accepted

Sort by
0
Rumen
Telerik team
answered on 22 Mar 2023, 09:04 AM

Hi Tim,

All Telerik UI for ASP.NET AJAX versions released after 2020.1.114 are safe from the Telerik AJAX vulnerabilities listed on the https://www.cvedetails.com/vulnerability-list/vendor_id-14130/Telerik.html page. You can find more information in our blog post Progress’ Security Practices for Vulnerability Communications and Remediation.

Note that this one https://www.cvedetails.com/cve/CVE-2021-28141 is a false positive and still not removed by the owner.

Regards,
Rumen
Progress Telerik

Virtual Classroom, the free self-paced technical training that gets you up to speed with Telerik and Kendo UI products quickly just got a fresh new look + new and improved content including a brand new Blazor course! Check it out at https://learn.telerik.com/.

Tags
Ajax Security
Asked by
Tim
Top achievements
Rank 1
Answers by
Rumen
Telerik team
Share this question
or